import type { PluginItem } from '@babel/core';
import type { WaterfallHook } from '@quilted/sewing-kit';
export interface BabelHooks {
    /**
     * Babel plugins to use for this project.
     */
    babelPlugins: WaterfallHook<PluginItem[]>;
    /**
     * Babel presets to use for this project.
     */
    babelPresets: WaterfallHook<PluginItem[]>;
    /**
     * Babel presets to use for this project.
     */
    babelExtensions: WaterfallHook<string[]>;
    /**
     * A browserslist-compatible set of environment targets
     * to use for in Babel plugins.
     */
    babelTargets: WaterfallHook<string[]>;
}
declare module '@quilted/sewing-kit' {
    interface BuildProjectConfigurationHooks extends BabelHooks {
    }
    interface DevelopProjectConfigurationHooks extends BabelHooks {
    }
    interface TestProjectConfigurationHooks extends BabelHooks {
    }
}
/**
 * Adds basic Babel hooks that other plugins can attach configuration to.
 */
export declare function babelHooks(): import("@quilted/sewing-kit").ProjectPlugin<import("@quilted/sewing-kit").Project>;
export declare function babelRollup(): import("@quilted/sewing-kit").ProjectPlugin<import("@quilted/sewing-kit").Project>;
//# sourceMappingURL=index.d.ts.map